Skip to main content
GET
/
{cert_id}
Viewing a Certificate
curl --request GET \
  --url https://cert.trustedform.com/{cert_id}
{
  "fingerprints": {
    "matching": [
      "c4a8e7fe184993964ae81380e91579015306838a",
      "d511850d569bcd7802c30f54de34bb9f2b31eede"
    ],
    "non_matching": [
      "d511850d569bcd7802c30f54de34bb9f2b31eed1"
    ]
  },
  "is_masked": false,
  "masked_cert_url": "https://example.com/1145b610ac97aa9f92d7cd2195446eac5e67ce53",
  "outcome": "success",
  "scans": {
    "forbidden_found": [
      "Enim sit amet venenatis"
    ],
    "forbidden_not_found": [
      "Est velit egestas"
    ],
    "required_found": [
      "lorem ipsum dolor"
    ],
    "required_not_found": [
      "Ad qui aperiri"
    ]
  },
  "warnings": []
}

Headers

Accept
string

Set to application/json to return a JSON response

Path Parameters

cert_id
string
required

Certificate ID

Response

Success

fingerprints
Fingerprints · object
required
Example:
{
"matching": [
"c4a8e7fe184993964ae81380e91579015306838a",
"d511850d569bcd7802c30f54de34bb9f2b31eede"
],
"non_matching": ["d511850d569bcd7802c30f54de34bb9f2b31eed1"]
}
is_masked
boolean
required

A boolean indicating whether the certificate is masked

masked_cert_url
string | null
required

A certificate url that masks the lead source url and snapshot

outcome
enum<string>
default:success
required

The result of the attempt to verify consent. Success indicates that the certificate was claimed and did not generate any warnings related to consent verification. Failure indicates that the certificate was claimed but generated warnings because no fingerprints matched, forbidden scan terms were found or required scan terms were missing. Error indicates that the certificate was not claimed and the request should be reviewed and potentially retried.

Available options:
success,
failure,
error
scans
PageScans · object
required
Example:
{
"forbidden_found": ["Enim sit amet venenatis"],
"forbidden_not_found": ["Est velit egestas"],
"required_found": ["lorem ipsum dolor"],
"required_not_found": ["Ad qui aperiri"]
}
reason
string

Provides an explanation for failure or error.

Only used for outcome of failure or error.

warnings
enum<string>[]

An array of strings indicating possible issues with the certificate

  • none of the provided fingerprints match: No fingerprints matched.
  • snapshot scan failed: The snapshot was unable to be scanned.
  • string not found in snapshot: A required page scan text was not found.
  • string found in snapshot: A forbidden page scan text was found.
Available options:
none of the provided fingerprints match,
snapshot scan failed,
string not found in snapshot,
string found in snapshot